Subject: RE: [Sip] Comments on draft-koivusalo-sip-outbound-discovery-02

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Tue, 4 Jul 2006 19:43:06 +0100

With regard to 

> Additionally note that the words "if the client supports TLS" 
> are superfluous. As RFC 3261 requires support of TLS, we are 
> not documenting capabilities where TLS is not supported.
> 

It has been pointed out that UAC support is only SHOULD strength in RFC 3261 therefore the extra words are appropriate.

regards

Keith

> -----Original Message-----
> From: Drage, Keith (Keith) [mailto:[email-masked]]
> Sent: 03 July 2006 20:12
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Sip] Comments on draft-koivusalo-sip-outbound-discovery-02
> 
> 
> Technical:
> ----------
> 
> 1) I need to understand whether this updates RFC 3263 or just 
> extends it. Part of this is what appears on the cover page 
> and in the RFC index as and when it is finally approved, but 
> the other part also relates to compatibility, see later comment.
> 
> 2) I think you have already acknowledged this, but the 
> document requires revision to align with the terminology in 
> the latest version (-04) of draft-ietf-sip-outbound.
> 
> 3) In section 5, as far as I understand, the NAPTR request is 
> identical for a UA that supports RFC 3263 and for one that 
> supports this extension. Therefore the difference is in the 
> response. Therefore the paragraph of UA requirements:
> 
>    As per RFC 2915 [4], the client discards any NAPTR records whose
>    services fields are not applicable.  A client resolving a SIPS URI
>    MUST discard any services that do not contain "SIPS-O" as the
>    protocol in the service field.  A client resolving a SIP URI MUST
>    retain records with "SIP-O" and the transport protocols the client
>    supports and SHOULD retain records with "SIPS-O", if the client
>    supports TLS.
> 
> must work with a NAPTR response that has no knowledge of 
> outbound. Is the above paragraph compatible with this? 
> 
> Additionally note that the words "if the client supports TLS" 
> are superfluous. As RFC 3261 requires support of TLS, we are 
> not documenting capabilities where TLS is not supported.
> 
> regards
> 
> Keith
> 
> Keith Drage
> [email-masked]
> tel: +44 1793 776249
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip